MariaDB 5.1.39 for Debian, Ubuntu, RHEL/CentOS

You can now yum (RPM) or apt-get (DEB) MariaDB 5.1.39, courtesy of OurDelta and in close cooperation with Monty Program Ab. Simply follow the info on the CentOS, Debian or Ubuntu pages.

(note: give the mirrors some hours to sync up)

Quick overview

  • See the Release Notes for relevant bugfixes.
  • Drop-in replacement for stock MySQL 5.0 or 5.1 (If you’re coming from stock MySQL, see the MariaDB extras/differences overview).
  • If you are upgrading from 5.0, please review the upgrade information first before diving in.
  • The packages take care of backward compatibility with the older .so.15 client library (5.1 has .so.16), including on CentOS 5 (no separate “compat” RPM required).
  • This release for the first time also has packages (in YUM repo) for RHEL/CentOS 5. The MariaDB RPMs should purposely conflict with any 5.0, as well as any 5.1 of different origin, so that you consciously have to choose to upgrade and won’t accidentally end up for instance automatically upgrading from 5.0 to 5.1. We say should because while we tested various scenarios, the real world is bound to teach us more. Just be cautious, and please file bugs if you spot anything weird.
  • We didn’t build RHEL/CentOS 4 RPMs, because it originally came with MySQL 4.1 which is ancient, this means that other packages on that system have a dependency on libmysqlclient.so.14. If you do have a need for RHEL 4 packages, please let us know.
  • Generic Linux binary tarballs and the base source tarball to create all builds are also available, although to recreate one of the packages it’s easiest to use the relevant source package.

Please enjoy, and if you encounter any problems, file bugs with OurDelta or MariaDB on Launchpad.

If you’d like to keep up to date about MariaDB developments, there is a Planet MariaDB. If you have a feed relevant for MariaDB, you can submit it through the site.

Tags: , , , , , , , , , , , , , , , , , , , , , , , , ,

Leave a Reply